Description

When accessing CSW endpoints that are using TLS (https) requesting GetCapabilities fails for certain servers. 

Error message:

[Errno 8] _ssl.c:504: EOF occurred in violation of protocol

Obviously this is due to certain features the remote server is supporting. Is there any way to fix this?

History

#1 - 2017-12-05 05:31 PM - Stefan Blume

Ok, found this is an issue due to the bundled Python 2.7.5 which is not supporting TLS 1.2.

If I do replace Python with a more current version (2.7.14) the problem disappears.

#2 - 2017-12-05 05:31 PM - Stefan Blume

- Status changed from Open to Closed

#3 - 2017-12-05 08:38 PM - Giovanni Manghi

Was this closed because we assume this is fixed in QGIS3 (with Python3)?

#4 - 2017-12-06 08:34 AM - Stefan Blume

I closed this issue because it is not related to MetaSearch Catalogue Client, so from my point of view it can be considered to be "invalid".

Yes, I expect a solution w/ the next major and I also do not expect a fix for this on 2.x branch, so I didn't create a new issue for QGIS itself.

#5 - 2018-02-22 11:50 AM - Giovanni Manghi

- Resolution set to invalid
